|  | Home | Documentation | g Class Reference updated Tue Aug 22 2017 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
g Class Reference

`#include <graph.h>`

Inheritance diagram for g:
[legend]
Collaboration diagram for g:
[legend]

## Public Attributes
std::vector< g:Graph * > | edges
| public members are serializable More...

## Additional Inherited Members
Private Member Functions inherited from Graph
virtual int | soap_type (void) const
| Return unique type id SOAP_TYPE_Graph. More...
virtual void | soap_default (struct soap *)
| (Re)set members to default values More...
virtual void | soap_serialize (struct soap *) const
| Serialize object to prepare for SOAP 1.1/1.2 encoded output (or with SOAP_XML_GRAPH) by analyzing its (cyclic) structures. More...
virtual int | soap_put (struct soap *, const char *tag, const char *type) const
| Output object in XML, compliant with SOAP 1.1 encoding style, return error code or SOAP_OK. More...
virtual int | soap_out (struct soap *, const char *tag, int id, const char *type) const
| Output object in XML, with tag and optional id attribute and xsi:type, return error code or SOAP_OK. More...
virtual void * | soap_get (struct soap *, const char *tag, const char *type)
| Get object from XML, compliant with SOAP 1.1 encoding style, return pointer to object or NULL on error. More...
virtual void * | soap_in (struct soap *, const char *tag, const char *type)
| Get object from XML, with matching tag and type (NULL matches any tag and type), return pointer to object or NULL on error. More...
virtual Graph * | soap_alloc (void) const
| Return a new object of type Graph, default initialized and not managed by a soap context. More...
| Graph ()
| Constructor with initializations. More...
virtual | ~Graph ()
Private Attributes inherited from Graph
std::vector< Graph * > | edges
| Optional element 'edges' of XSD type 'g:Graph'. More...

## Detailed Description

A recursive data type that is (invisibly) bound to the 'g' XML namespace

Definition at line 40 of file graph.h.

## Member Data Documentation

std::vector<g:Graph*> g::edges

public members are serializable

Definition at line 43 of file graph.h.

The documentation for this class was generated from the following file:

- graph.h